ConsumeKafkaMessages <- function(consumer.base.uri) {
  messagesJSON <- GET(url = paste(consumer.base.uri,"records", sep = "/"),
                      accept("application/vnd.kafka.json.v2+json"),
                      encode="json")
  if(messagesJSON$status_code!=200) stop(messagesJSON) else
  messages <- fromJSON(content(messagesJSON,"text"))
  return(messages)
}